Index: modules/JetFlavorAssociation.cc
===================================================================
--- modules/JetFlavorAssociation.cc	(revision 9040259ee50d946ebcb0b894874fcd5dfddab562)
+++ modules/JetFlavorAssociation.cc	(revision 1d9974ea88eb58af9439d181a19287dce50b0fa4)
@@ -87,19 +87,19 @@
 //------------------------------------------------------------------------------
 
-class PartonClassifierLHEF: public ExRootClassifier
+class ParticleLHEFClassifier: public ExRootClassifier
 {
 public:
 
-  PartonClassifierLHEF() {}
+  ParticleLHEFClassifier() {}
   Int_t GetCategory(TObject *object);
   Double_t fEtaMax, fPTMin;
 };
 
-Int_t PartonClassifierLHEF::GetCategory(TObject *object)
+Int_t ParticleLHEFClassifier::GetCategory(TObject *object)
 {
   // select parton in the parton list
 
-  Candidate *parton = static_cast<Candidate *>(object);
-  const TLorentzVector &momentum = parton->Momentum;
+  Candidate *particleLHEF = static_cast<Candidate *>(object);
+  const TLorentzVector &momentum = particleLHEF->Momentum;
   Int_t pdgCode;
 
@@ -107,8 +107,8 @@
   if(momentum.Pt() <= fPTMin || TMath::Abs(momentum.Eta()) > fEtaMax) return -1;
 
-  pdgCode = TMath::Abs(parton->PID);
-  if(parton->Status == -1) return -1;
+  pdgCode = TMath::Abs(particleLHEF->PID);
+  if(particleLHEF->Status == -1) return -1;
   if(pdgCode != 21 && pdgCode > 5) return -1; // not a parton, skip
-  if(parton->Status != 1) return -1; // if status 3 return
+  if(particleLHEF->Status != 1) return -1; // if status 3 return
 
   return 0;
@@ -118,10 +118,10 @@
 
 JetFlavorAssociation::JetFlavorAssociation() :
-  fClassifier(0), fFilter(0),
-  fItPartonInputArray(0), fItPartonInputArrayLHEF(0),
-  fItJetInputArray(0), fItParticleInputArray(0)
-{
-  fClassifier = new PartonClassifier;
-  fClassifierLHEF = new PartonClassifierLHEF;
+  fPartonClassifier(0), fPartonFilter(0), fParticleLHEFFilter(0),
+  fItPartonInputArray(0), fItParticleInputArray(0),
+  fItParticleLHEFInputArray(0), fItJetInputArray(0)
+{
+  fPartonClassifier = new PartonClassifier;
+  fParticleLHEFClassifier = new ParticleLHEFClassifier;
 }
 
@@ -130,6 +130,6 @@
 JetFlavorAssociation::~JetFlavorAssociation()
 {
-  if(fClassifier) delete fClassifier;
-  if(fClassifierLHEF) delete fClassifierLHEF;
+  if(fPartonClassifier) delete fPartonClassifier;
+  if(fParticleLHEFClassifier) delete fParticleLHEFClassifier;
 }
 
@@ -142,9 +142,9 @@
   fDeltaR = GetDouble("DeltaR", 0.5);
 
-  fClassifier->fPTMin = GetDouble("PartonPTMin", 0.);
-  fClassifier->fEtaMax = GetDouble("PartonEtaMax",2.5);
-
-  fClassifierLHEF->fPTMin = GetDouble("PartonPTMin", 0.);
-  fClassifierLHEF->fEtaMax = GetDouble("PartonEtaMax",2.5);
+  fPartonClassifier->fPTMin = GetDouble("PartonPTMin", 0.0);
+  fPartonClassifier->fEtaMax = GetDouble("PartonEtaMax", 2.5);
+
+  fParticleLHEFClassifier->fPTMin = GetDouble("PartonPTMin", 0.0);
+  fParticleLHEFClassifier->fEtaMax = GetDouble("PartonEtaMax", 2.5);
 
   // import input array(s)
@@ -152,16 +152,15 @@
   fItPartonInputArray = fPartonInputArray->MakeIterator();
 
-  fPartonInputArrayLHEF = ImportArray(GetString("PartonInputArrayLHEF", "Delphes/partonsLHEF"));
-  fItPartonInputArrayLHEF = fPartonInputArrayLHEF->MakeIterator();
-
-  fFilter = new ExRootFilter(fPartonInputArray);
-  fFilterLHEF = new ExRootFilter(fPartonInputArrayLHEF);
+  fParticleInputArray = ImportArray(GetString("ParticleInputArray", "Delphes/allParticles"));
+  fItParticleInputArray = fParticleInputArray->MakeIterator();
+
+  fParticleLHEFInputArray = ImportArray(GetString("ParticleLHEFInputArray", "Delphes/allParticlesLHEF"));
+  fItParticleLHEFInputArray = fParticleLHEFInputArray->MakeIterator();
+
+  fPartonFilter = new ExRootFilter(fPartonInputArray);
+  fParticleLHEFFilter = new ExRootFilter(fParticleLHEFInputArray);
 
   fJetInputArray = ImportArray(GetString("JetInputArray", "FastJetFinder/jets"));
   fItJetInputArray = fJetInputArray->MakeIterator();
-
-  fParticleInputArray = ImportArray(GetString("ParticleInputArray", "Delphes/allParticles"));
-  fItParticleInputArray = fParticleInputArray->MakeIterator();
-
 }
 
@@ -170,11 +169,11 @@
 void JetFlavorAssociation::Finish()
 {
-  if(fFilter) delete fFilter;
-  if(fFilterLHEF) delete fFilterLHEF;
+  if(fPartonFilter) delete fPartonFilter;
+  if(fParticleLHEFFilter) delete fParticleLHEFFilter;
 
   if(fItJetInputArray) delete fItJetInputArray;
+  if(fItParticleLHEFInputArray) delete fItParticleLHEFInputArray;
   if(fItParticleInputArray) delete fItParticleInputArray;
   if(fItPartonInputArray) delete fItPartonInputArray;
-  if(fItPartonInputArrayLHEF) delete fItPartonInputArrayLHEF;
 }
 
@@ -185,18 +184,18 @@
   Candidate *jet;
   TObjArray *partonArray;
-  TObjArray *partonArrayLHEF;
+  TObjArray *partonLHEFArray;
 
   // select quark && gluons
-  fFilter->Reset();
-  partonArray = fFilter->GetSubArray(fClassifier, 0); // get the filtered parton array
+  fPartonFilter->Reset();
+  partonArray = fPartonFilter->GetSubArray(fPartonClassifier, 0); // get the filtered parton array
 
   if(partonArray == 0) return;
   TIter itPartonArray(partonArray);
 
-  fFilterLHEF->Reset();
-  partonArrayLHEF = fFilterLHEF->GetSubArray(fClassifierLHEF, 0); // get the filtered parton array
-
-  if(partonArrayLHEF == 0) return;
-  TIter itPartonLHEFArray(partonArrayLHEF);
+  fParticleLHEFFilter->Reset();
+  partonLHEFArray = fParticleLHEFFilter->GetSubArray(fParticleLHEFClassifier, 0); // get the filtered parton array
+
+  if(partonLHEFArray == 0) return;
+  TIter itPartonLHEFArray(partonLHEFArray);
 
   // loop over all input jets
Index: modules/JetFlavorAssociation.h
===================================================================
--- modules/JetFlavorAssociation.h	(revision 9040259ee50d946ebcb0b894874fcd5dfddab562)
+++ modules/JetFlavorAssociation.h	(revision 1d9974ea88eb58af9439d181a19287dce50b0fa4)
@@ -37,5 +37,5 @@
 class ExRootFilter;
 class PartonClassifier;
-class PartonClassifierLHEF;
+class ParticleLHEFClassifier;
 
 class JetFlavorAssociation: public DelphesModule
@@ -50,26 +50,26 @@
   void Finish();
 
-  void GetAlgoFlavor(Candidate *jet, TIter &itPartonArray, TIter &itPartonArrayLHEF);
-  void GetPhysicsFlavor(Candidate *jet, TIter &itPartonArray, TIter &itPartonArrayLHEF);
+  void GetAlgoFlavor(Candidate *jet, TIter &itPartonArray, TIter &itPartonLHEFArray);
+  void GetPhysicsFlavor(Candidate *jet, TIter &itPartonArray, TIter &itPartonLHEFArray);
 
 private:
 
-  Double_t  fDeltaR;
+  Double_t fDeltaR;
 
-  PartonClassifier  *fClassifier; //!
-  PartonClassifierLHEF *fClassifierLHEF; //!
+  PartonClassifier *fPartonClassifier; //!
+  ParticleLHEFClassifier *fParticleLHEFClassifier; //!
 
-  ExRootFilter *fFilter;
-  ExRootFilter *fFilterLHEF;
+  ExRootFilter *fPartonFilter;
+  ExRootFilter *fParticleLHEFFilter;
 
   TIterator *fItPartonInputArray; //!
-  TIterator *fItPartonInputArrayLHEF; //!
+  TIterator *fItParticleInputArray; //!
+  TIterator *fItParticleLHEFInputArray; //!
   TIterator *fItJetInputArray; //!
-  TIterator *fItParticleInputArray; //!
 
   const TObjArray *fPartonInputArray; //!
-  const TObjArray *fPartonInputArrayLHEF; //!
+  const TObjArray *fParticleInputArray; //!
+  const TObjArray *fParticleLHEFInputArray; //!
   const TObjArray *fJetInputArray; //!
-  const TObjArray *fParticleInputArray; //!
 
   ClassDef(JetFlavorAssociation, 1)
